package jlowplugin.action;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import jlowplugin.ui.action.ClearAction;

import cds.aladin.Aladin;
import cds.jlow.client.graph.Jlow;

public class ClearAllAction extends AbstractAction {


	private Jlow jlow;
	private Aladin aladin;
	
	public ClearAllAction(Jlow jlow, Aladin aladin) {
		this.jlow = jlow;
		this.aladin = aladin;
		
		putValue(NAME, "Clear All");
	}
	
	public void actionPerformed(ActionEvent e) {
		ClearAction ca = new ClearAction(jlow);
		ClearAladinAction caa = new ClearAladinAction(aladin);
		
		ca.actionPerformed(e);
		caa.actionPerformed(e);
	}

}
