package jlowplugin.server.event;

import jlowplugin.ui.ScriptPane;

import cds.jlow.server.motor.Work;
import cds.jlow.server.motor.event.*;

public class ScriptWRListener implements WorkRegisterListener {

	private ScriptWorkListener listener;
	
	public ScriptWRListener(ScriptWorkListener l) {
		listener = l;
	}
	
	public ScriptWRListener(ScriptPane s) {
//		System.out.println("create ScriptWRListener");
		listener = new ScriptWorkListener(s);
	} 
	
	public void workregisterChanged(WorkRegisterEvent event) {
//		System.out.println("workregister changed");
		
		Work work = event.getWork();
		short type = event.getType();
		
		// If work is created
		if(work!=null && listener!=null && type==WorkRegisterEvent.ADD_WORK) {
//			System.out.println("work is added");
			// Adds the listener to all new work
			work.addWorkListener(listener);
		}
		
	}

}
