package jlowplugin.ui;

import javax.swing.*;
import java.awt.event.*;
import java.lang.reflect.*;

public class ActionRedirect extends AbstractAction {

    /**
     * 
     */
    private static final long serialVersionUID = -7567329904929781275L;

    public ActionRedirect(String name, Object obj, String method) {
    putValue(NAME,name);
	putValue("obj",obj);
	putValue("method",method);
    }

	public ActionRedirect(Object obj, String method) {
		this("",obj, method);	
	}

    public void actionPerformed(ActionEvent e) {

	try {
	    Class c = getValue("obj").getClass();
	    Class evt = e.getClass();
	    Method m = c.getMethod((String) getValue("method"),new Class[] {evt});
	    m.invoke(getValue("obj"),new Object[] {e});
	}
	catch(Exception ex) { System.err.println(ex); }
	
    }
}
