package jlowplugin.ui;

import java.awt.Color;
import java.awt.Dimension;

import javax.swing.*;

public class StateBar extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private JLabel lcomment;
	
	public StateBar() {
		super();

		setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
		
		setBorder(BorderFactory.createMatteBorder(
                1, 0, 0, 0, Color.GRAY));
		
		lcomment = new JLabel();
//		lcomment.setBorder(BorderFactory.createMatteBorder(
//                1, 0, 0, 0, Color.BLACK));
		lcomment.setMinimumSize(new Dimension(300, 20));
		lcomment.setPreferredSize(new Dimension(300, 20));
		lcomment.setMaximumSize(new Dimension(300,20));
		
		add(lcomment);
	}
	
	public void setComment(String text) {
		lcomment.setText(text);
	}
	
	public void clearComment() {
		lcomment.setText("");
	}
}
