package jlowplugin.ui.util;

import cds.jlow.descriptor.Constant;
import cds.jlow.descriptor.IDataDescriptor;
import cds.jlow.descriptor.IDescriptor;
import cds.jlow.descriptor.IPortDescriptor;
import cds.jlow.descriptor.ITaskDescriptor;
import cds.jlow.descriptor.Variable;
import cds.jlow.util.Type;

public class ToHtmlModule extends cds.jlow.client.util.ToHtmlModule {

	public ToHtmlModule() {
		super();
		//System.out.println("Creates ToHtmlModule");
	}
	
	public ToHtmlModule(IDescriptor desc) {
		super(desc);
		//System.out.println("Creates ToHtmlModule width desc");
	}
	
	public String toHtml() {
		String html="<html>";
		String tcolor = "green";
		
		if(descriptor != null) {
			
			if(descriptor instanceof ITaskDescriptor) {
				/*
				ITaskDescriptor task = (ITaskDescriptor) descriptor;
				
				String id = task.getID();
				
				if(id!=null)
					html+="<font color='"+tcolor+"'>Name</font> : <b>"+id+"</b>";
				
				return html + "</html>";
				*/
				return null;
			}
			else if(descriptor instanceof IPortDescriptor) {
				IPortDescriptor port = (IPortDescriptor) descriptor;
				
				String name = port.getName();
				Constant cts = port.getData();
				
				// Name
				if(name!=null)
				    html+="<font color='"+tcolor+"'>"+name+"</font>";
				
				// Data
				if(cts!=null) {

					// Value
					Object obj = cts.getData();
					if(obj!=null && !obj.equals(""))
						html+=" : <i>"+obj+"</i>";
					
					// Type
					Type t = cts.getType();
					if(t!=null)
						html+="<br><font color='"+tcolor+"'>type</font> : <i>"+t.getName()+"</i>";
				}
				return html + "</html>";
			}
			else if(descriptor instanceof IDataDescriptor) {
				
				if(descriptor instanceof Variable) {
					Variable var = (Variable) descriptor;
					
					tcolor = "#4B0082"; //indigo
					
					String name = var.getName();
					Type t = var.getType();
					Object value = var.getData();
					
					// Name
					html+="<font color='"+tcolor+"'>"+name+"</font>";
					
					// Value
					if(value!=null && !value.equals(""))
						html+=" : <i>"+value+"</i>";
					
					// Type
					if(t!=null)
						html+="<br><font color='"+tcolor+"'>type</font> : <i>"+t.getName()+"</i>";
					
					return html + "</html>";
				}
				
				return null;
			}
		}
		
		return super.toHtml();
	}
}
