package jlowplugin.util;

import java.io.File;
import java.net.URL;

import javax.swing.*;

/**
 * @author Cyril Pestel
 * @version 0.5 beta Copyright CDS 2007
 */
public class Resources {

	public static String DEFAULTIMGEXT = "png";
	
	public ImageIcon getImage(String name) {
		return getImage(name, DEFAULTIMGEXT);
	}
	
	public ImageIcon getImage(String name, String extension) {
		URL imageURL = this.getClass().getResource("/images/"+name+"."+extension);
		
		// Searches from path (jar)
		if(imageURL!=null)
			return new ImageIcon(imageURL);
		else { // Searches from disk
			File f = new File("resources/images/"+name+"."+extension);
			if(f.exists())
				return new ImageIcon("resources/images/"+name+"."+extension);
			else
				return null;
		}
	}
}
