package jlowplugin.action;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.AbstractAction;

import cds.aladin.Aladin;
import cds.jlow.client.graph.Jlow;

public class ClearAladinAction extends AbstractAction {

	/**
     * Create an action for bringing a cell to front.
     * @param g the graph where you draw
     */
    public ClearAladinAction(Aladin a) {

		putValue(NAME,"Clear Aladin");
		putValue(MNEMONIC_KEY,new Integer(KeyEvent.VK_C));
		//putValue(ACCELERATOR_KEY,KeyStroke.getKeyStroke("F"));
		//putValue("graph",g);
		putValue("aladin",a);
    }
	
	public void actionPerformed(ActionEvent e) {
		Aladin aladin = (Aladin) getValue("aladin");
		
		//Clear all elements from the aladin stack
		aladin.execCommand("reset");
	}

}
