package jlowplugin.server;

import java.io.BufferedOutputStream;
import java.io.DataOutputStream;
import java.util.Iterator;

import cds.jlow.client.descriptor.IRegisterer;
import cds.jlow.client.graph.Jlow;
import cds.jlow.codec.GXLOutputStream;
import cds.jlow.server.net.service.ServiceRegisterer;

public class LocalService extends Thread {

	/**
	 * The jlow instance.
	 */
	protected Jlow graph;
	
	public LocalService(Jlow g) {
		graph = g;
	}
	
	public void init() {
		ServiceRegisterer servregister = new ServiceRegisterer();
		
		
	}
	
	public boolean execute() {
		
		//Gets all created cells
		Iterator it = graph.getModelKeys();
		
		//Gets all selected cells
		Object[] selectedcells = graph.getSelectionCells();
		
		//Execute only selected cells
		if((selectedcells!=null) && (selectedcells.length>0)) {
			it = graph.getModelKeys(selectedcells);
		} 
		
		
		
		return true;
	}
}
