package jlowplugin.ui.tree;

//import java.util.Enumeration;
import java.util.*;

import javax.swing.tree.DefaultMutableTreeNode;

import cds.jlow.client.descriptor.Attributs;
import cds.jlow.client.descriptor.IRegisterer;

import cds.jlow.client.sample.tree.DescriptorTree;
import cds.jlow.descriptor.IDescriptor;
//import cds.jlow.descriptor.TaskDescriptor;

public class CustomTreeManager {

	 /**
     * Loads all your IDescriptors.
     */
    public static void loadTask(DescriptorTree tree, IRegisterer register) {

	//Map catMap = new Hashtable();
	
	TreeMap catMap = new TreeMap();
	
	tree.removeAll();
	//tree.getModel().;
	
	//TODO : add attributskeys
	
	for(Iterator it = register.descriptorkeys(); it.hasNext();) {
	    
		Object id = it.next();

		if ((register.isTaskDescriptor(id))) {
			Attributs atts = (Attributs) register.getAtt(id);
			//System.out.println("id : "+id);
			if(atts==null)
			    break;
		
			String cat = atts.getName();
			
			//
			if(!catMap.containsKey(cat))
			    catMap.put(cat, addCategory(cat, tree));
	
			Object category = catMap.get(cat);
	
			IDescriptor task = (IDescriptor) register.getDescriptor(id);
			
			tree.addDescriptor(task, (DefaultMutableTreeNode) category);
	    }
	}

	//Vide le contenu de la map
	catMap.clear();

    }
    
    /**
     * Loads all your IDescriptors.
     */
    public static void loadData(DescriptorTree tree, IRegisterer register) {

	//Map catMap = new Hashtable();
	
	TreeMap catMap = new TreeMap();
	
	tree.removeAll();
	//tree.getModel().;
	
	//TODO : add attributskeys
	
	for(Iterator it = register.descriptorkeys(); it.hasNext();) {
	    
		Object id = it.next();

		if (register.isDataDescriptor(id)) {
			Attributs atts = (Attributs) register.getAtt(id);
			//System.out.println("id : "+id);
			if(atts==null)
			    break;
		
			String cat = atts.getName();
			
			//
			if(!catMap.containsKey(cat))
			    catMap.put(cat, addCategory(cat, tree));
	
			Object category = catMap.get(cat);
	
			IDescriptor task = (IDescriptor) register.getDescriptor(id);

			tree.addDescriptor(task, (DefaultMutableTreeNode) category);
	    }
	}
	
	//Vide le contenu de la map
	catMap.clear();

    }
    
    /**
	 * Add a category.
	 * 
	 * @param obj
	 *            the userObject of the node
	 * @return the new node
	 */
	public static Object addCategory(Object obj, DescriptorTree tree) {
		return tree.addCategory(obj);
	}
}
